<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>AbstractLinkTask (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AbstractLinkTask (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/nativeplatform/tasks/CreateStaticLibrary.html" title="class in org.gradle.nativeplatform.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/nativeplatform/tasks/AbstractLinkTask.html" target="_top">Frames</a></li>
<li><a href="AbstractLinkTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.nativeplatform.tasks</div>
<h2 title="Class AbstractLinkTask" class="title">Class AbstractLinkTask</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.nativeplatform.tasks.AbstractLinkTask</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, <a href="../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, <a href="../../../../org/gradle/nativeplatform/tasks/ObjectFilesToBinary.html" title="interface in org.gradle.nativeplatform.tasks">ObjectFilesToBinary</a>, org.gradle.util.Configurable&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../org/gradle/nativeplatform/tasks/LinkExecutable.html" title="class in org.gradle.nativeplatform.tasks">LinkExecutable</a>, <a href="../../../../org/gradle/nativeplatform/tasks/LinkSharedLibrary.html" title="class in org.gradle.nativeplatform.tasks">LinkSharedLibrary</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public abstract class <span class="strong">AbstractLinkTask</span>
extends <a href="../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">DefaultTask</a>
implements <a href="../../../../org/gradle/nativeplatform/tasks/ObjectFilesToBinary.html" title="interface in org.gradle.nativeplatform.tasks">ObjectFilesToBinary</a></pre>
<div class="block">Base task for linking a native binary from object files and libraries.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#AbstractLinkTask()">AbstractLinkTask</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected abstract org.gradle.nativeplatform.internal.LinkerSpec</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#createLinkerSpec()">createLinkerSpec</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/RegularFileVar.html" title="interface in org.gradle.api.file">RegularFileVar</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#getBinaryFile()">getBinaryFile</a></strong>()</code>
<div class="block">The file where the linked binary will be located.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#getDestinationDir()">getDestinationDir</a></strong>()</code>
<div class="block">Include the destination directory as an output, to pick up auxiliary files produced alongside the main output file</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#getLibs()">getLibs</a></strong>()</code>
<div class="block">The library files to be passed to the linker.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#getLinkerArgs()">getLinkerArgs</a></strong>()</code>
<div class="block">Additional arguments passed to the linker.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.gradle.internal.operations.logging.BuildOperationLoggerFactory</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#getOperationLoggerFactory()">getOperationLoggerFactory</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#getOutputFile()">getOutputFile</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#getSource()">getSource</a></strong>()</code>
<div class="block">The source object files to be passed to the linker.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/nativeplatform/platform/NativePlatform.html" title="interface in org.gradle.nativeplatform.platform">NativePlatform</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#getTargetPlatform()">getTargetPlatform</a></strong>()</code>
<div class="block">The platform that the linked binary will run on.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/nativeplatform/toolchain/NativeToolChain.html" title="interface in org.gradle.nativeplatform.toolchain">NativeToolChain</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#getToolChain()">getToolChain</a></strong>()</code>
<div class="block">The tool chain used for linking.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#lib(java.lang.Object)">lib</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;libs)</code>
<div class="block">Adds a set of library files to be linked.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#link()">link</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#setLibs(org.gradle.api.file.FileCollection)">setLibs</a></strong>(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;libs)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#setLinkerArgs(java.util.List)">setLinkerArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;linkerArgs)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#setOutputFile(java.io.File)">setOutputFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputFile)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#setOutputFile(org.gradle.api.provider.Provider)">setOutputFile</a></strong>(<a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;? extends <a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file">RegularFile</a>&gt;&nbsp;outputFile)</code>
<div class="block">Sets the output file generated by the linking process via a <a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider"><code>Provider</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#setSource(org.gradle.api.file.FileCollection)">setSource</a></strong>(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;source)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#setTargetPlatform(org.gradle.nativeplatform.platform.NativePlatform)">setTargetPlatform</a></strong>(<a href="../../../../org/gradle/nativeplatform/platform/NativePlatform.html" title="interface in org.gradle.nativeplatform.platform">NativePlatform</a>&nbsp;targetPlatform)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#setToolChain(org.gradle.nativeplatform.toolchain.NativeToolChain)">setToolChain</a></strong>(<a href="../../../../org/gradle/nativeplatform/toolchain/NativeToolChain.html" title="interface in org.gradle.nativeplatform.toolchain">NativeToolChain</a>&nbsp;toolChain)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#source(java.lang.Object)">source</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;source)</code>
<div class="block">Adds a set of object files to be linked.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../org/gradle/api/Task.html#configure(groovy.lang.Closure)">configure</a>, <a href="../../../../org/gradle/api/Task.html#deleteAllActions()">deleteAllActions</a>, <a href="../../../../org/gradle/api/Task.html#dependsOn(java.lang.Object...)">dependsOn</a>, <a href="../../../../org/gradle/api/Task.html#dependsOnTaskDidWork()">dependsOnTaskDidWork</a>, <a href="../../../../org/gradle/api/Task.html#doFirst(org.gradle.api.Action)">doFirst</a>, <a href="../../../../org/gradle/api/Task.html#doFirst(groovy.lang.Closure)">doFirst</a>, <a href="../../../../org/gradle/api/Task.html#doFirst(java.lang.String,%20org.gradle.api.Action)">doFirst</a>, <a href="../../../../org/gradle/api/Task.html#doLast(org.gradle.api.Action)">doLast</a>, <a href="../../../../org/gradle/api/Task.html#doLast(groovy.lang.Closure)">doLast</a>, <a href="../../../../org/gradle/api/Task.html#doLast(java.lang.String,%20org.gradle.api.Action)">doLast</a>, <a href="../../../../org/gradle/api/Task.html#finalizedBy(java.lang.Object...)">finalizedBy</a>, <a href="../../../../org/gradle/api/Task.html#getActions()">getActions</a>, <a href="../../../../org/gradle/api/Task.html#getAnt()">getAnt</a>, <a href="../../../../org/gradle/api/Task.html#getConvention()">getConvention</a>, <a href="../../../../org/gradle/api/Task.html#getDependsOn()">getDependsOn</a>, <a href="../../../../org/gradle/api/Task.html#getDescription()">getDescription</a>, <a href="../../../../org/gradle/api/Task.html#getDestroyables()">getDestroyables</a>, <a href="../../../../org/gradle/api/Task.html#getDidWork()">getDidWork</a>, <a href="../../../../org/gradle/api/Task.html#getEnabled()">getEnabled</a>, <a href="../../../../org/gradle/api/Task.html#getFinalizedBy()">getFinalizedBy</a>, <a href="../../../../org/gradle/api/Task.html#getGroup()">getGroup</a>, <a href="../../../../org/gradle/api/Task.html#getInputs()">getInputs</a>, <a href="../../../../org/gradle/api/Task.html#getLogger()">getLogger</a>, <a href="../../../../org/gradle/api/Task.html#getLogging()">getLogging</a>, <a href="../../../../org/gradle/api/Task.html#getMustRunAfter()">getMustRunAfter</a>, <a href="../../../../org/gradle/api/Task.html#getName()">getName</a>, <a href="../../../../org/gradle/api/Task.html#getOutputs()">getOutputs</a>, <a href="../../../../org/gradle/api/Task.html#getPath()">getPath</a>, <a href="../../../../org/gradle/api/Task.html#getProject()">getProject</a>, <a href="../../../../org/gradle/api/Task.html#getShouldRunAfter()">getShouldRunAfter</a>, <a href="../../../../org/gradle/api/Task.html#getState()">getState</a>, <a href="../../../../org/gradle/api/Task.html#getTaskDependencies()">getTaskDependencies</a>, <a href="../../../../org/gradle/api/Task.html#getTemporaryDir()">getTemporaryDir</a>, <a href="../../../../org/gradle/api/Task.html#hasProperty(java.lang.String)">hasProperty</a>, <a href="../../../../org/gradle/api/Task.html#leftShift(groovy.lang.Closure)">leftShift</a>, <a href="../../../../org/gradle/api/Task.html#mustRunAfter(java.lang.Object...)">mustRunAfter</a>, <a href="../../../../org/gradle/api/Task.html#onlyIf(groovy.lang.Closure)">onlyIf</a>, <a href="../../../../org/gradle/api/Task.html#onlyIf(org.gradle.api.specs.Spec)">onlyIf</a>, <a href="../../../../org/gradle/api/Task.html#property(java.lang.String)">property</a>, <a href="../../../../org/gradle/api/Task.html#setActions(java.util.List)">setActions</a>, <a href="../../../../org/gradle/api/Task.html#setDependsOn(java.lang.Iterable)">setDependsOn</a>, <a href="../../../../org/gradle/api/Task.html#setDescription(java.lang.String)">setDescription</a>, <a href="../../../../org/gradle/api/Task.html#setDidWork(boolean)">setDidWork</a>, <a href="../../../../org/gradle/api/Task.html#setEnabled(boolean)">setEnabled</a>, <a href="../../../../org/gradle/api/Task.html#setFinalizedBy(java.lang.Iterable)">setFinalizedBy</a>, <a href="../../../../org/gradle/api/Task.html#setGroup(java.lang.String)">setGroup</a>, <a href="../../../../org/gradle/api/Task.html#setMustRunAfter(java.lang.Iterable)">setMustRunAfter</a>, <a href="../../../../org/gradle/api/Task.html#setOnlyIf(groovy.lang.Closure)">setOnlyIf</a>, <a href="../../../../org/gradle/api/Task.html#setOnlyIf(org.gradle.api.specs.Spec)">setOnlyIf</a>, <a href="../../../../org/gradle/api/Task.html#setProperty(java.lang.String,%20java.lang.Object)">setProperty</a>, <a href="../../../../org/gradle/api/Task.html#setShouldRunAfter(java.lang.Iterable)">setShouldRunAfter</a>, <a href="../../../../org/gradle/api/Task.html#shouldRunAfter(java.lang.Object...)">shouldRunAfter</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Comparable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true#compareTo(T)" title="class or interface in java.lang">compareTo</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.plugins.ExtensionAware">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a></h3>
<code><a href="../../../../org/gradle/api/plugins/ExtensionAware.html#getExtensions()">getExtensions</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractLinkTask()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractLinkTask</h4>
<pre>public&nbsp;AbstractLinkTask()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getToolChain()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getToolChain</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../org/gradle/nativeplatform/toolchain/NativeToolChain.html" title="interface in org.gradle.nativeplatform.toolchain">NativeToolChain</a>&nbsp;getToolChain()</pre>
<div class="block">The tool chain used for linking.</div>
</li>
</ul>
<a name="setToolChain(org.gradle.nativeplatform.toolchain.NativeToolChain)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setToolChain</h4>
<pre>public&nbsp;void&nbsp;setToolChain(<a href="../../../../org/gradle/nativeplatform/toolchain/NativeToolChain.html" title="interface in org.gradle.nativeplatform.toolchain">NativeToolChain</a>&nbsp;toolChain)</pre>
</li>
</ul>
<a name="getTargetPlatform()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargetPlatform</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/nativeplatform/platform/NativePlatform.html" title="interface in org.gradle.nativeplatform.platform">NativePlatform</a>&nbsp;getTargetPlatform()</pre>
<div class="block">The platform that the linked binary will run on.</div>
</li>
</ul>
<a name="setTargetPlatform(org.gradle.nativeplatform.platform.NativePlatform)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTargetPlatform</h4>
<pre>public&nbsp;void&nbsp;setTargetPlatform(<a href="../../../../org/gradle/nativeplatform/platform/NativePlatform.html" title="interface in org.gradle.nativeplatform.platform">NativePlatform</a>&nbsp;targetPlatform)</pre>
</li>
</ul>
<a name="getDestinationDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDestinationDir</h4>
<pre><a href="../../../../org/gradle/api/tasks/OutputDirectory.html" title="annotation in org.gradle.api.tasks">@OutputDirectory</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getDestinationDir()</pre>
<div class="block">Include the destination directory as an output, to pick up auxiliary files produced alongside the main output file</div>
</li>
</ul>
<a name="getBinaryFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBinaryFile</h4>
<pre><a href="../../../../org/gradle/api/tasks/OutputFile.html" title="annotation in org.gradle.api.tasks">@OutputFile</a>
public&nbsp;<a href="../../../../org/gradle/api/file/RegularFileVar.html" title="interface in org.gradle.api.file">RegularFileVar</a>&nbsp;getBinaryFile()</pre>
<div class="block">The file where the linked binary will be located.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.1</dd></dl>
</li>
</ul>
<a name="getOutputFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputFile</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getOutputFile()</pre>
</li>
</ul>
<a name="setOutputFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOutputFile</h4>
<pre>public&nbsp;void&nbsp;setOutputFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputFile)</pre>
</li>
</ul>
<a name="setOutputFile(org.gradle.api.provider.Provider)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOutputFile</h4>
<pre>public&nbsp;void&nbsp;setOutputFile(<a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;? extends <a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file">RegularFile</a>&gt;&nbsp;outputFile)</pre>
<div class="block">Sets the output file generated by the linking process via a <a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider"><code>Provider</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>outputFile</code> - the output file provider to use</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.1</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html#setOutputFile(java.io.File)"><code>setOutputFile(File)</code></a></dd></dl>
</li>
</ul>
<a name="getLinkerArgs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLinkerArgs</h4>
<pre><a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getLinkerArgs()</pre>
<div class="block">Additional arguments passed to the linker.</div>
</li>
</ul>
<a name="setLinkerArgs(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLinkerArgs</h4>
<pre>public&nbsp;void&nbsp;setLinkerArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;linkerArgs)</pre>
</li>
</ul>
<a name="getSource()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSource</h4>
<pre><a href="../../../../org/gradle/api/tasks/InputFiles.html" title="annotation in org.gradle.api.tasks">@InputFiles</a>
public&nbsp;<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getSource()</pre>
<div class="block">The source object files to be passed to the linker.</div>
</li>
</ul>
<a name="setSource(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSource</h4>
<pre>public&nbsp;void&nbsp;setSource(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;source)</pre>
</li>
</ul>
<a name="getLibs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLibs</h4>
<pre><a href="../../../../org/gradle/api/tasks/InputFiles.html" title="annotation in org.gradle.api.tasks">@InputFiles</a>
public&nbsp;<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getLibs()</pre>
<div class="block">The library files to be passed to the linker.</div>
</li>
</ul>
<a name="setLibs(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLibs</h4>
<pre>public&nbsp;void&nbsp;setLibs(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;libs)</pre>
</li>
</ul>
<a name="source(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>source</h4>
<pre>public&nbsp;void&nbsp;source(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;source)</pre>
<div class="block">Adds a set of object files to be linked. The provided source object is evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/nativeplatform/tasks/ObjectFilesToBinary.html#source(java.lang.Object)">source</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/nativeplatform/tasks/ObjectFilesToBinary.html" title="interface in org.gradle.nativeplatform.tasks">ObjectFilesToBinary</a></code></dd>
</dl>
</li>
</ul>
<a name="lib(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lib</h4>
<pre>public&nbsp;void&nbsp;lib(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;libs)</pre>
<div class="block">Adds a set of library files to be linked. The provided libs object is evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a>.</div>
</li>
</ul>
<a name="getOperationLoggerFactory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOperationLoggerFactory</h4>
<pre>@Inject
public&nbsp;org.gradle.internal.operations.logging.BuildOperationLoggerFactory&nbsp;getOperationLoggerFactory()</pre>
</li>
</ul>
<a name="link()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>link</h4>
<pre>public&nbsp;void&nbsp;link()</pre>
</li>
</ul>
<a name="createLinkerSpec()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createLinkerSpec</h4>
<pre>protected abstract&nbsp;org.gradle.nativeplatform.internal.LinkerSpec&nbsp;createLinkerSpec()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/nativeplatform/tasks/CreateStaticLibrary.html" title="class in org.gradle.nativeplatform.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/nativeplatform/tasks/AbstractLinkTask.html" target="_top">Frames</a></li>
<li><a href="AbstractLinkTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
